From 878ec40bee76c8d38e6b1260e00a156a45290b16 Mon Sep 17 00:00:00 2001
From: Wen Gong <wgong@codeaurora.org>
Date: Thu, 10 Sep 2020 16:46:31 +0800
Subject: [PATCH 172/173] ath11k: temp fix dead loop of tx when no desc

when idr_alloc fail for tx, return -ENOSPC to avoid deadloop.
It is temp solution, need refine later.

Change-Id: Ia54f0b932d79c50d9aa2dbaaa975b561ddf7fc6b
---
 drivers/net/wireless/ath/ath11k/dp_tx.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/drivers/net/wireless/ath/ath11k/dp_tx.c b/drivers/net/wireless/ath/ath11k/dp_tx.c
index 7dd6ef0..3f5f358 100644
--- a/drivers/net/wireless/ath/ath11k/dp_tx.c
+++ b/drivers/net/wireless/ath/ath11k/dp_tx.c
@@ -130,6 +130,9 @@ int ath11k_dp_tx(struct ath11k *ar, struct ath11k_vif *arvif,
 		if (ring_map == (BIT(DP_TCL_NUM_RING_MAX) - 1))
 			return -ENOSPC;
 
+		if (ar->ab->hw_params.misc_caps & MISC_CAPS_TCL_0_ONLY)
+			return -ENOSPC;
+
 		/* Check if the next ring is available */
 		ring_selector++;
 		goto tcl_ring_sel;
-- 
1.9.1

